<template>
  <div class="app-filter-button">
    <strong class="col-form-label">
      Filter by:
    </strong>
    <CButton
      :color="'success'"
      :shape="'pill'"
      size="sm"
      @click="on"
    >
      ON
    </CButton>

    <CButton
      :color="'danger'"
      :shape="'pill'"
      size="sm"
      @click="off"
    >
      OFF
    </CButton>
  </div>
</template>

<style lang="scss" scoped>
  .app-filter-button {
    display: inline-block;
    vertical-align: middle;
  }
</style>

<script>
const EVENT_SUBMIT = 'submit'
export default {
  name: 'AppFilterButton',

  methods: {

    /**
     * Search with condition status ON
     *
     */
    on () {
      const condition = { status: 1 }
      this.$emit(EVENT_SUBMIT, condition)
    },

    /**
     * Search with condition status OFF
     *
     */
    off () {
      const condition = { status: 0 }
      this.$emit(EVENT_SUBMIT, condition)
    }
  }
}
</script>
